# uopz_copy

(PECL uopz 1 >= 1.0.4, PECL uopz 2)

uopz_copy — Copy a function

Warning

This function has been REMOVED in PECL uopz 5.0.0.

### Description

uopz_copy ( string `$function` ) : Closure
uopz_copy ( string `$class` , string `$function` ) : Closure

Copy a function by name

### Parameters

`class`

  The name of the class containing the function to copy

`function`

  The name of the function

### Return Values

A Closure for the specified function

### Examples

Example #1 uopz_copy() example

`<?php
$strtotime = uopz_copy('strtotime');
uopz_function("strtotime", function($arg1, $arg2) use($strtotime) {
/* can call original strtotime from here */
var_dump($arg1);
});
var_dump(strtotime('dummy'));
?>`

The above example will output:

    string(5) "dummy"